fn main() {
    let buf = std::fs::read_to_string("one.txt").unwrap();
    let mut elves: Vec<u32> = buf
        .split("\n\n")
        .map(|s| {
            s.trim()
                .split("\n")
                .map(|n| n.trim().parse::<u32>().unwrap())
                .sum()
        })
        .collect();

    elves.sort_unstable_by(|a, b| b.cmp(a));
    println!("{}", elves[0]);
    println!("{}", elves.into_iter().take(3).sum::<u32>());
}
